{
  config,
  pkgs,
  inputs,
  ...
}: {
  imports = [
    ../home/home_common.nix
    ../home/niri.nix
  ];

  nixpkgs.config.allowUnfree = true;

  home = {
    packages = with pkgs; [
      firefox
      lagrange
      chromium #this might replace firefox
      keepassxc
      thunderbird
      blender
      vesktop
      spotify
      alacritty

      btop
      zip

      prismlauncher
      steam
      gamescope

      direnv
      texliveFull
      ispell
    ];
  };

  programs = {
    direnv = {
      enable = true;
      enableZshIntegration = true;
      nix-direnv.enable = true;
    };

    emacs = {
      enable = true;
      package = pkgs.emacs-pgtk.override {
        withTreeSitter = true;
        withNativeCompilation = true;
      };
      extraPackages = epkgs: [
        epkgs.vterm
      ];
    };
  };

  services = {
    syncthing.enable = true;

    mpd = {
      enable = true;
      musicDirectory = "/home/k/Music";
    };

    emacs = {
      enable = true;
      defaultEditor = true;
    };
  };
  stylix = {
    enable = true;
    autoEnable = true;
  };
}
